<?php
// Enable error reporting
error_reporting(E_ALL);
ini_set('display_errors', 1);
date_default_timezone_set("Asia/Karachi");

// Check if the request is over HTTPS
if ($_SERVER['HTTPS'] != 'on') {
    echo "Please access this script via HTTPS.";
    exit;
}

if (isset($_GET['key']) && $_GET['key'] != '') {
    // Store your key securely in a separate configuration file (not directly in the script)
    $secret_key = 'fZ1y2XxM4DALSztwQHgc71GmhVMqa';

    // Compare provided key with the stored key
    if ($_GET['key'] == $secret_key) {
        echo 'Key Verified';
        echo '<br>';
    } else {
        // Log failed attempt for auditing
        file_put_contents('auth_failed.log', date('Y-m-d H:i:s') . " - Failed key: {$_GET['key']}\n", FILE_APPEND);
        echo 'Key not verified';
        return;
    }
} else {
    echo 'Auth failed';
    return;
}

// Directory where PDF and ZIP files are stored
$directory = '/home/handsyeo/public_html/downloads/';

// Check if the directory exists
if (!is_dir($directory)) {
    echo "Directory does not exist: $directory\n";
    exit;
}

// Get the current time
$current_time = time();

// Set the age threshold (5 minutes = 300 seconds)
$threshold = 600;

// Open the directory
if ($handle = opendir($directory)) {

    // Loop through all the files in the directory
    while (false !== ($file = readdir($handle))) {

        // Skip the special directories "." and ".."
        if ($file == '.' || $file == '..') {
            continue;
        }

        // Get the full file path
        $file_path = $directory . '/' . $file;

        // Check if the file is a PDF or ZIP file
        if (is_file($file_path) && (pathinfo($file_path, PATHINFO_EXTENSION) == 'pdf' || pathinfo($file_path, PATHINFO_EXTENSION) == 'zip')) {

            // Check if the file is older than the threshold
            if (($current_time - filemtime($file_path)) > $threshold) {
                // File is older than 5 minutes, so delete it
                if (unlink($file_path)) {
                    echo "Deleted: $file_path\n"; // Optional: Log which file was deleted
                } else {
                    echo "Failed to delete: $file_path\n"; // Optional: Log failure to delete file
                }
            }
        }
    }

    // Close the directory handle
    closedir($handle);
} else {
    echo "Failed to open directory: $directory\n";
}
?>
