<?php
// Check if 'image' URL parameter is provided
if (isset($_GET['image']) && !empty($_GET['image'])) {
    // Get the image URL
    $imageUrl = $_GET['image'];

    // Check if the URL is a valid image URL
    if (filter_var($imageUrl, FILTER_VALIDATE_URL) && preg_match('/\.(jpeg|jpg|png|gif)$/i', $imageUrl)) {
        // Get the image content
        $imageContent = file_get_contents($imageUrl);

        // Check if the image content was successfully fetched
        if ($imageContent === false) {
            // If not, show an error message
            echo "Failed to download the image.";
            exit;
        }

        // Get the image extension
        $imageExtension = pathinfo($imageUrl, PATHINFO_EXTENSION);

        // Set appropriate headers to force download
        header('Content-Type: image/' . $imageExtension);
        header('Content-Disposition: attachment; filename="downloaded_image.' . $imageExtension . '"');
        header('Content-Length: ' . strlen($imageContent));

        // Output the image content to the browser
        echo $imageContent;
        exit;
    } else {
        // Invalid URL or not an image
        echo "Invalid image URL.";
        exit;
    }
} else {
    // Image URL parameter is not provided
    echo "No image URL provided.";
    exit;
}
