<?php
include 'includes/functions.php';

$lang = 'en'; // Default language
if (isset($_GET['lang']) && !empty($_GET['lang'])) {
  $lang = $_GET['lang'];
}
$page = 'index';
$translations = loadTranslations($lang, $page);
?>
<!doctype html>
<html lang="<?php echo $lang; ?>">

<head>
  <?php include 'includes/head.php';  ?>
</head>
<body>
  <?php include 'includes/navbar.php'; ?>
  <main class="my-5">
    <div class="container">
      <div class="row">
        <div class="col-lg-12 col-12 col-md-12 mx-auto text-center">
          <h1 class="fs-2"><?php echo $translations['h1']; ?></h1>
          <p class="mb-4"><?php echo $translations['p']; ?></p>
        </div>
      </div>
      <?php include 'includes/form.php'; ?>
    </div>
    <?php echo $translations['mainContent']; ?>
     <div class="container">
       <?php echo $langText[$currentLang]['disclaimer_note']; ?>
     </div>
  </main>
  <?php include 'includes/footer.php'; ?>
  <script async src="/assets/script-3.js?v=3"></script>
</body>
</html>