<?php
header('Content-Type: application/json');

// Retrieve the JSON body
$data = json_decode(file_get_contents('php://input'), true);

// Validate the data
if (isset($data['email']) && isset($data['comment'])) {
    $email = filter_var($data['email'], FILTER_SANITIZE_EMAIL);
    $comment = filter_var($data['comment'], FILTER_SANITIZE_STRING);

    // Send email to the admin
    $to = "admin@slidesharedl.com";
    $subject = "New Feedback Received";
    $message = "Email: $email\n\nComment: $comment";
    $headers = "From: admin@slidesharedl.com" . "\r\n" .
               "Reply-To: admin@slidesharedl.com" . "\r\n" .
               "X-Mailer: PHP/" . phpversion();

    if (mail($to, $subject, $message, $headers)) {
        echo json_encode(['success' => true, 'message' => 'Feedback submitted successfully.']);
    } else {
        echo json_encode(['success' => false, 'message' => 'Failed to send feedback.']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid input.']);
}
?>
