<?php
function generateLangUrl($path)
{
    global $baseUrl, $currentLang;
    $path = ltrim($path, '/');
    $url = rtrim($baseUrl, '/') . '/';
    if ($currentLang != 'en') {
        $url .= $currentLang . '/';
    }
    return $url . $path;
}
$langText = ['en' => ['home' => 'Home', 'contact' => 'Contact', 'about' => 'About', 'languages' => 'Languages', 'privacy_policy' => 'Privacy Policy', 'disclaimer' => 'Disclaimer', 'download' => 'Download', 'copyright' => '2025 SlideShareDL.com. All Rights Reserved.', 'share' => 'Share', 'bookmark' => 'Press CTRL + D to bookmark this site', 'feedback' => 'Feedback/Complaint', 'paste_slideshare_url' => 'Paste slideshare.net url...', 'low_quality' => 'Low Quality', 'medium_quality' => 'Medium Quality', 'high_quality' => 'High Quality', 'download_pdf' => 'Download PDF', 'download_zip' => 'Download ZIP', 'slides_found' => 'Slides Found', 'disclaimer_note' => 'SlideShareDL.com is a third-party tool that allows users to download publicly available content from SlideShare for personal and educational use only. We do not host, save, or cache any files on our servers, nor do we track or log user activities. All downloads are processed directly from the original source. SlideShareDL.com is not affiliated with SlideShare.net or any other platform, and users are responsible for adhering to copyright laws and respecting intellectual property rights.'], 'de' => ['home' => 'Startseite', 'contact' => 'Kontakt', 'about' => 'Über uns', 'languages' => 'Sprachen', 'privacy_policy' => 'Datenschutzrichtlinie', 'disclaimer' => 'Haftungsausschluss', 'download' => 'Herunterladen', 'copyright' => '2025 SlideShareDL.com. Alle Rechte vorbehalten.', 'share' => 'Teilen', 'bookmark' => 'Drücken Sie STRG + D, um diese Seite zu Lesezeichen hinzuzufügen', 'feedback' => 'Feedback/Beschwerde', 'paste_slideshare_url' => 'Fügen Sie die URL von slideshare.net ein...', 'low_quality' => 'Niedrige Qualität', 'medium_quality' => 'Mittlere Qualität', 'high_quality' => 'Hohe Qualität', 'download_pdf' => 'PDF herunterladen', 'download_zip' => 'ZIP herunterladen', 'slides_found' => 'Folien gefunden', 'disclaimer_note' => 'SlideShareDL.com ist ein Drittanbieter-Tool, mit dem Benutzer öffentlich zugängliche Inhalte von SlideShare nur für persönliche und Bildungszwecke herunterladen können. Wir hosten, speichern oder cachen keine Dateien auf unseren Servern und protokollieren oder verfolgen keine Benutzeraktivitäten. Alle Downloads werden direkt aus der Originalquelle verarbeitet. SlideShareDL.com ist nicht mit SlideShare.net oder einer anderen Plattform verbunden, und die Benutzer sind dafür verantwortlich, die Urheberrechtsgesetze einzuhalten und geistige Eigentumsrechte zu respektieren.'], 'es' => ['home' => 'Inicio', 'contact' => 'Contacto', 'about' => 'Acerca de', 'languages' => 'Idiomas', 'privacy_policy' => 'Política de privacidad', 'disclaimer' => 'Aviso legal', 'download' => 'Descargar', 'copyright' => '2025 SlideShareDL.com. Todos los derechos reservados.', 'share' => 'Compartir', 'bookmark' => 'Presiona CTRL + D para agregar este sitio a favoritos', 'feedback' => 'Comentarios/Queja', 'paste_slideshare_url' => 'Pega la URL de slideshare.net...', 'low_quality' => 'Baja calidad', 'medium_quality' => 'Calidad media', 'high_quality' => 'Alta calidad', 'download_pdf' => 'Descargar PDF', 'download_zip' => 'Descargar ZIP', 'slides_found' => 'Presentaciones encontradas', 'disclaimer_note' => 'SlideShareDL.com es una herramienta de terceros que permite a los usuarios descargar contenido disponible públicamente de SlideShare solo para fines personales y educativos. No alojamos, guardamos ni almacenamos archivos en nuestros servidores, ni rastreamos ni registramos actividades de los usuarios. Todas las descargas se procesan directamente desde la fuente original. SlideShareDL.com no está afiliado a SlideShare.net ni a ninguna otra plataforma, y los usuarios son responsables de cumplir con las leyes de derechos de autor y respetar los derechos de propiedad intelectual.'], 'fr' => ['home' => 'Accueil', 'contact' => 'Contact', 'about' => 'À propos', 'languages' => 'Langues', 'privacy_policy' => 'Politique de confidentialité', 'disclaimer' => 'Avertissement', 'download' => 'Télécharger', 'copyright' => '2025 SlideShareDL.com. Tous droits réservés.', 'share' => 'Partager', 'bookmark' => 'Appuyez sur CTRL + D pour ajouter ce site aux favoris', 'feedback' => 'Feedback/Plainte', 'paste_slideshare_url' => 'Collez l\'URL de slideshare.net...', 'low_quality' => 'Basse qualité', 'medium_quality' => 'Qualité moyenne', 'high_quality' => 'Haute qualité', 'download_pdf' => 'Télécharger PDF', 'download_zip' => 'Télécharger ZIP', 'slides_found' => 'Diapositives trouvées', 'disclaimer_note' => 'SlideShareDL.com est un outil tiers qui permet aux utilisateurs de télécharger du contenu disponible publiquement de SlideShare uniquement à des fins personnelles et éducatives. Nous n\'hébergeons, ne stockons ni ne mettons en cache de fichiers sur nos serveurs, et nous ne suivons ni n\'enregistrons les activités des utilisateurs. Tous les téléchargements sont traités directement à partir de la source d\'origine. SlideShareDL.com n\'est pas affilié à SlideShare.net ni à toute autre plateforme, et les utilisateurs sont responsables du respect des lois sur les droits d\'auteur et de la protection de la propriété intellectuelle.'], 'hi' => ['home' => 'होम', 'contact' => 'संपर्क करें', 'about' => 'हमारे बारे में', 'languages' => 'भाषाएँ', 'privacy_policy' => 'गोपनीयता नीति', 'disclaimer' => 'अस्वीकरण', 'download' => 'डाउनलोड करें', 'copyright' => '2025 SlideShareDL.com. सर्वाधिकार सुरक्षित.', 'share' => 'साझा करें', 'bookmark' => 'CTRL + D दबाकर इस साइट को बुकमार्क करें', 'feedback' => 'प्रतिक्रिया/शिकायत', 'paste_slideshare_url' => 'slideshare.net URL पेस्ट करें...', 'low_quality' => 'निम्न गुणवत्ता', 'medium_quality' => 'मध्यम गुणवत्ता', 'high_quality' => 'उच्च गुणवत्ता', 'download_pdf' => 'PDF डाउनलोड करें', 'download_zip' => 'ZIP डाउनलोड करें', 'slides_found' => 'स्लाइड्स मिलीं', 'disclaimer_note' => 'SlideShareDL.com एक तृतीय-पक्ष उपकरण है जो उपयोगकर्ताओं को केवल व्यक्तिगत और शैक्षिक उपयोग के लिए SlideShare से सार्वजनिक रूप से उपलब्ध सामग्री डाउनलोड करने की अनुमति देता है। हम अपने सर्वरों पर किसी भी फाइल को होस्ट, सेव या कैश नहीं करते हैं, और न ही हम उपयोगकर्ता गतिविधियों को ट्रैक या लॉग करते हैं। सभी डाउनलोड सीधे मूल स्रोत से संसाधित किए जाते हैं। SlideShareDL.com SlideShare.net या किसी अन्य प्लेटफ़ॉर्म से संबद्ध नहीं है, और उपयोगकर्ता कॉपीराइट कानूनों का पालन करने और बौद्धिक संपदा अधिकारों का सम्मान करने के लिए जिम्मेदार हैं।'], 'id' => ['home' => 'Beranda', 'contact' => 'Kontak', 'about' => 'Tentang', 'languages' => 'Bahasa', 'privacy_policy' => 'Kebijakan Privasi', 'disclaimer' => 'Penafian', 'download' => 'Unduh', 'copyright' => '2025 SlideShareDL.com. Semua Hak Dilindungi.', 'share' => 'Bagikan', 'bookmark' => 'Tekan CTRL + D untuk menandai situs ini', 'feedback' => 'Masukan/keluhan', 'paste_slideshare_url' => 'Tempelkan URL slideshare.net...', 'low_quality' => 'Kualitas Rendah', 'medium_quality' => 'Kualitas Medium', 'high_quality' => 'Kualitas Tinggi', 'download_pdf' => 'Unduh PDF', 'download_zip' => 'Unduh ZIP', 'slides_found' => 'Slide Ditemukan', 'disclaimer_note' => 'SlideShareDL.com adalah alat pihak ketiga yang memungkinkan pengguna mengunduh konten yang tersedia secara publik dari SlideShare hanya untuk penggunaan pribadi dan pendidikan. Kami tidak menghosting, menyimpan, atau menyimpan file di server kami, dan kami tidak melacak atau mencatat aktivitas pengguna. Semua unduhan diproses langsung dari sumber aslinya. SlideShareDL.com tidak berafiliasi dengan SlideShare.net atau platform lainnya, dan pengguna bertanggung jawab untuk mematuhi undang-undang hak cipta dan menghormati hak kekayaan intelektual.'], 'it' => ['home' => 'Home', 'contact' => 'Contatto', 'about' => 'Informazioni', 'languages' => 'Lingue', 'privacy_policy' => 'Politica sulla privacy', 'disclaimer' => 'Avviso legale', 'download' => 'Scarica', 'copyright' => '2025 SlideShareDL.com. Tutti i diritti riservati.', 'share' => 'Condividi', 'bookmark' => 'Premi CTRL + D per aggiungere questo sito ai segnalibri', 'feedback' => 'Feedback/Reclamo', 'paste_slideshare_url' => 'Incolla URL di slideshare.net...', 'low_quality' => 'Bassa qualità', 'medium_quality' => 'Qualità media', 'high_quality' => 'Alta qualità', 'download_pdf' => 'Scarica PDF', 'download_zip' => 'Scarica ZIP', 'slides_found' => 'Diapositive trovate', 'disclaimer_note' => 'SlideShareDL.com è uno strumento di terze parti che consente agli utenti di scaricare contenuti pubblicamente disponibili da SlideShare solo per scopi personali e educativi. Non ospitiamo, salviamo o memorizziamo file sui nostri server e non tracciamo né registriamo le attività degli utenti. Tutti i download sono elaborati direttamente dalla fonte originale. SlideShareDL.com non è affiliato a SlideShare.net o a qualsiasi altra piattaforma, e gli utenti sono responsabili di rispettare le leggi sul copyright e di rispettare i diritti di proprietà intellettuale.'], 'pt' => ['home' => 'Início', 'contact' => 'Contato', 'about' => 'Sobre', 'languages' => 'Idiomas', 'privacy_policy' => 'Política de Privacidade', 'disclaimer' => 'Isenção de responsabilidade', 'download' => 'Baixar', 'copyright' => '2025 SlideShareDL.com. Todos os direitos reservados.', 'share' => 'Compartilhar', 'bookmark' => 'Pressione CTRL + D para adicionar este site aos favoritos', 'feedback' => 'Comentários/Reclamação', 'paste_slideshare_url' => 'Cole o URL do slideshare.net...', 'low_quality' => 'Baixa Qualidade', 'medium_quality' => 'Qualidade Média', 'high_quality' => 'Alta Qualidade', 'download_pdf' => 'Baixar PDF', 'download_zip' => 'Baixar ZIP', 'slides_found' => 'Slides encontrados', 'disclaimer_note' => 'SlideShareDL.com é uma ferramenta de terceiros que permite aos usuários baixar conteúdo publicamente disponível do SlideShare apenas para fins pessoais e educacionais. Não hospedamos, salvamos ou armazenamos arquivos em nossos servidores, nem rastreamos ou registramos atividades dos usuários. Todos os downloads são processados diretamente da fonte original. SlideShareDL.com não é afiliado ao SlideShare.net ou a qualquer outra plataforma, e os usuários são responsáveis por cumprir as leis de direitos autorais e respeitar os direitos de propriedade intelectual.'], 'ru' => ['home' => 'Главная', 'contact' => 'Контакт', 'about' => 'О нас', 'languages' => 'Языки', 'privacy_policy' => 'Политика конфиденциальности', 'disclaimer' => 'Отказ от ответственности', 'download' => 'Скачать', 'copyright' => '2025 SlideShareDL.com. Все права защищены.', 'share' => 'Поделиться', 'bookmark' => 'Нажмите CTRL + D, чтобы добавить этот сайт в закладки', 'feedback' => 'Обратная связь/Жалоба', 'paste_slideshare_url' => 'Вставьте URL с slideshare.net...', 'low_quality' => 'Низкое качество', 'medium_quality' => 'Среднее качество', 'high_quality' => 'Высокое качество', 'download_pdf' => 'Скачать PDF', 'download_zip' => 'Скачать ZIP', 'slides_found' => 'Слайды найдены', 'disclaimer_note' => 'SlideShareDL.com - это сторонний инструмент, который позволяет пользователям загружать общедоступный контент с SlideShare только для личного и образовательного использования. Мы не размещаем, не сохраняем и не кэшируем файлы на наших серверах, а также не отслеживаем и не записываем действия пользователей. Все загрузки обрабатываются непосредственно из исходного источника. SlideShareDL.com не имеет отношения к SlideShare.net или какой-либо другой платформе, и пользователи несут ответственность за соблюдение авторских прав и уважение интеллектуальной собственности.'], 'tr' => ['home' => 'Ana Sayfa', 'contact' => 'İletişim', 'about' => 'Hakkında', 'languages' => 'Diller', 'privacy_policy' => 'Gizlilik Politikası', 'disclaimer' => 'Feragatname', 'download' => 'İndir', 'copyright' => '2025 SlideShareDL.com. Tüm hakları saklıdır.', 'share' => 'Paylaş', 'bookmark' => 'Bu siteyi yer imi eklemek için CTRL + D tuşlarına basın', 'feedback' => 'Geribildirim/Şikayet', 'paste_slideshare_url' => 'slideshare.net URL\'sini yapıştırın...', 'low_quality' => 'Düşük kalite', 'medium_quality' => 'Orta kalite', 'high_quality' => 'Yüksek kalite', 'download_pdf' => 'PDF indir', 'download_zip' => 'ZIP indir', 'slides_found' => 'Slaytlar Bulundu', 'disclaimer_note' => 'SlideShareDL.com, kullanıcıların yalnızca kişisel ve eğitim amaçlı SlideShare\'dan herkese açık içerik indirmelerini sağlayan üçüncü taraf bir araçtır. Sunucularımızda dosya barındırmıyoruz, kaydetmiyoruz veya önbelleğe almıyoruz ve kullanıcı aktivitelerini takip etmiyoruz veya kaydetmiyoruz. Tüm indirmeler doğrudan orijinal kaynaktan işlenir. SlideShareDL.com, SlideShare.net veya diğer platformlarla bağlantılı değildir ve kullanıcılar telif hakkı yasalarına uymak ve fikri mülkiyet haklarına saygı göstermekle sorumludur.'], 'ja' => ['home' => 'ホーム', 'contact' => 'お問い合わせ', 'about' => 'について', 'languages' => '言語', 'privacy_policy' => 'プライバシーポリシー', 'disclaimer' => '免責事項', 'download' => 'ダウンロード', 'copyright' => '2025 SlideShareDL.com. すべての権利を保留。', 'share' => '共有', 'bookmark' => 'CTRL + D を押してこのサイトをブックマークしてください', 'feedback' => 'フィードバック/苦情', 'paste_slideshare_url' => 'slideshare.net の URL を貼り付けてください...', 'low_quality' => '低画質', 'medium_quality' => '中画質', 'high_quality' => '高画質', 'download_pdf' => 'PDFをダウンロード', 'download_zip' => 'ZIPをダウンロード', 'slides_found' => 'スライドが見つかりました', 'disclaimer_note' => 'SlideShareDL.com は、ユーザーが SlideShare から公開されているコンテンツを個人および教育目的でのみダウンロードできるサードパーティツールです。私たちはサーバーにファイルをホスト、保存、またはキャッシュせず、ユーザーアクティビティを追跡またはログ記録しません。すべてのダウンロードは元のソースから直接処理されます。SlideShareDL.com は SlideShare.net またはその他のプラットフォームと提携しておらず、ユーザーは著作権法を遵守し、知的財産権を尊重する責任があります。'], 'ar' => ['home' => 'الصفحة الرئيسية', 'contact' => 'اتصل', 'about' => 'عن الموقع', 'languages' => 'اللغات', 'privacy_policy' => 'سياسة الخصوصية', 'disclaimer' => 'إخلاء المسؤولية', 'download' => 'تحميل', 'copyright' => '2025 SlideShareDL.com. جميع الحقوق محفوظة.', 'share' => 'مشاركة', 'bookmark' => 'اضغط CTRL + D لإضافة هذا الموقع إلى المفضلة', 'feedback' => 'التعليقات/الشكوى', 'paste_slideshare_url' => 'الصق رابط slideshare.net...', 'low_quality' => 'جودة منخفضة', 'medium_quality' => 'جودة متوسطة', 'high_quality' => 'جودة عالية', 'download_pdf' => 'تحميل PDF', 'download_zip' => 'تحميل ZIP', 'slides_found' => 'تم العثور على الشرائح', 'disclaimer_note' => 'SlideShareDL.com هو أداة من طرف ثالث تسمح للمستخدمين بتنزيل المحتوى المتاح للجمهور من SlideShare للاستخدام الشخصي والتعليمي فقط. نحن لا نستضيف أو نخزن أو نخزن الملفات على خوادمنا، ولا نقوم بتتبع أو تسجيل أنشطة المستخدمين. تتم معالجة جميع التنزيلات مباشرة من المصدر الأصلي. SlideShareDL.com غير مرتبط بـ SlideShare.net أو أي منصة أخرى، والمستخدمون مسؤولون عن الامتثال لقوانين حقوق الطبع والنشر واحترام حقوق الملكية الفكرية.'], 'zh' => ['home' => '首页', 'contact' => '联系', 'about' => '关于', 'languages' => '语言', 'privacy_policy' => '隐私政策', 'disclaimer' => '免责声明', 'download' => '下载', 'copyright' => '2025 SlideShareDL.com. 保留所有权利。', 'share' => '分享', 'bookmark' => '按 CTRL + D 将此站点加入书签', 'feedback' => '反馈/投诉', 'paste_slideshare_url' => '粘贴 slideshare.net URL...', 'low_quality' => '低质量', 'medium_quality' => '中等质量', 'high_quality' => '高质量', 'download_pdf' => '下载 PDF', 'download_zip' => '下载 ZIP', 'slides_found' => '找到幻灯片', 'disclaimer_note' => 'SlideShareDL.com 是一款第三方工具，允许用户仅出于个人和教育用途下载来自 SlideShare 的公开内容。我们不会在我们的服务器上托管、保存或缓存任何文件，也不会追踪或记录用户活动。所有下载都直接从原始来源处理。SlideShareDL.com 与 SlideShare.net 或任何其他平台无关，用户有责任遵守版权法并尊重知识产权。']];

if (isset($_GET['lang'])) {
    $currentLang = $_GET['lang'];
} else {
    $currentLang = basename(dirname($_SERVER['PHP_SELF']));
}
if (!array_key_exists($currentLang, $langText)) {
    $currentLang = 'en';
}
function generateSpecificLangUrl($lang, $page) {
    $phpPages = ['disclaimer', 'about', 'contact', 'privacy-policy'];
    $base = $lang === 'en' ? '/' : "/$lang/";
    return $base . ($page === 'index' ? '' : $page . (in_array($page, $phpPages) ? '.php' : '/'));
}
?>
<nav class="navbar navbar-expand-lg navbar-white bg-white pt-2 pb-2 pe-3 ps-3 border-bottom"><div class="container"><a class="navbar-brand" href="<?php echo generateLangUrl('/'); ?>"><img src='/img/logo.png' alt='SlideShareDL Logo' /></a><button class="navbar-toggler border-0 p-0" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button><div class="collapse navbar-collapse" id="navbarNavDropdown"><ul class="navbar-nav ms-auto"><li class="nav-item"><a class="nav-link mx-2 active" aria-current="page" href="<?php echo generateLangUrl('/'); ?>"><?php echo $langText[$currentLang]['home']; ?></a></li><li class="nav-item"><a class="nav-link mx-2" href="<?php echo generateLangUrl('about.php'); ?>"><?php echo $langText[$currentLang]['about']; ?></a></li><li class="nav-item"><a class="nav-link mx-2" href="<?php echo generateLangUrl('contact.php'); ?>"><?php echo $langText[$currentLang]['contact']; ?></a></li><li class="nav-item dropdown"><a class="nav-link mx-2 dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false"> <?php echo $langText[$currentLang]['languages']; ?> </a><ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink"><li><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('en', $page); ?>">English</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('de', $page); ?>">German</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('es', $page); ?>">Spanish</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('fr', $page); ?>">French</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('hi', $page); ?>">Hindi</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('id', $page); ?>">Indonesian</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('it', $page); ?>">Italian</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('pt', $page); ?>">Portuguese</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('ru', $page); ?>">Russian</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('tr', $page); ?>">Turkish</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('ja', $page); ?>">Japanese</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('ar', $page); ?>">Arabic</a><a class="dropdown-item" href="<?php echo generateSpecificLangUrl('zh', $page); ?>">Chinese</a></li></ul></li></ul></div></div></nav>